/* main.c */

#include <stdio.h>
#include "pico.h"

void quadratic(void);
extern int res, x, a, b, c;

int main(int argc, char* argv[]) {
  int npa_id;

  x=4; a=3; b=2; c=1;

  npa_id = PICO_initialize_NPA(quadratic);
  quadratic();
  PICO_finalize_NPA(npa_id);

  {
    FILE* fd = fopen("out.txt", "w");
    if (NULL == fd) { return 1; }
    fprintf(fd, "%d\n", res);
    fclose(fd);
  }
  return 0;
}
